## org.eclipse.xsd
Interface XSDComplexTypeContent

All Superinterfaces:
  EObject, Notifier, XSDComponent, XSDConcreteComponent

All Known Subinterfaces:
  XSDParticle, XSDSimpleTypeDefinition

All Known Implementing Classes:
  XSDComplexTypeContentImpl, XSDParticleImpl, XSDSimpleTypeDefinitionImpl

    public interface XSDComplexTypeContent

extends XSDComponent

A representation of the model object 'Complex Type Content'. It is used to represent the types of object returned by `XSDComplexTypeDefinition.getContentType()`.

See Also:
  `XSDPackage.getXSDComplexTypeContent()`

Method Summary

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.